#!/bin/sh

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/lircd.conf.new
config etc/lircmd.conf.new
config etc/lircrc.new

( cd usr/lib ; rm -rf liblirc_client.so )
( cd usr/lib ; ln -sf liblirc_client.so.0.2.1 liblirc_client.so )
( cd usr/lib ; rm -rf liblirc_client.so.0 )
( cd usr/lib ; ln -sf liblirc_client.so.0.2.1 liblirc_client.so.0 )
